%{?nodejs_find_provides_and_requires}

Name:       nodejs-merge-descriptors
Version:    0.0.2
Release:    1%{?dist}
Summary:    A Node.js module to merge objects using descriptors
License:    MIT
Group:      System Environment/Libraries
URL:        https://github.com/component/merge-descriptors
Source0:    http://registry.npmjs.org/merge-descriptors/-/merge-descriptors-%{version}.tgz

BuildArch:  noarch
%if 0%{?fedora} >= 19
ExclusiveArch: %{nodejs_arches} noarch
%else
ExclusiveArch: %{ix86} x86_64 %{arm} noarch
%endif

BuildRequires:  nodejs-packaging

%description
%{summary}.


%prep
%setup -q -n package


%build
#nothing to do


%install
mkdir -p %{buildroot}%{nodejs_sitelib}/merge-descriptors
cp -pr package.json index.js \
    %{buildroot}%{nodejs_sitelib}/merge-descriptors

%nodejs_symlink_deps


%files
%doc README.md
%{nodejs_sitelib}/merge-descriptors


%changelog
* Sat Mar 08 2014 Jamie Nguyen <jamielinux@fedoraproject.org> - 0.0.2-1
- initial package
